=== debian/control ===
Source: ros-indigo-surface-perception
Section: misc
Priority: extra
Maintainer: Justin Huang <jstn@cs.washington.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-pcl-conversions, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/surface_perception
Standards-Version: 3.9.2

Package: ros-indigo-surface-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-pcl-conversions, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Description: Simple library for segmentation of tabletop and shelf surfaces
